package it.polimi.ingsw.gc14.Model;

public abstract class PlayableCard {
    private int Era;
    public int getEra(){
        return Era;
    }
    public PlayableCard (int Era) throws IllegalArgumentException{
        if (Era>0 && Era<4) {
            this.Era = Era;
        } else {
            throw new IllegalArgumentException();
        }
    }

    @Override
    public String toString() {
        return "Era:"+String.valueOf(Era);
    }
}
